Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.infinispan.schematic.internal
Class CacheSchematicDb.SchematicEntryProxyFuture

    java.lang.Object
      org.infinispan.schematic.internal.CacheSchematicDb.SchematicEntryProxyFuture

All Implemented Interfaces:
  Future<SchematicEntry>, org.infinispan.util.concurrent.NotifyingFuture<SchematicEntry>

Enclosing class:
  CacheSchematicDb

    protected class CacheSchematicDb.SchematicEntryProxyFuture

extends Object
implements org.infinispan.util.concurrent.NotifyingFuture<SchematicEntry>

Constructor Summary
`protected` | `CacheSchematicDb.SchematicEntryProxyFuture(org.infinispan.util.concurrent.NotifyingFuture<SchematicEntry> original, String key, boolean isRemoved)`

Method Summary
`org.infinispan.util.concurrent.NotifyingFuture<SchematicEntry>` | `attachListener(org.infinispan.util.concurrent.FutureListener<SchematicEntry> listener)`
`boolean` | `cancel(boolean mayInterruptIfRunning)`
`SchematicEntry` | `get()`
`SchematicEntry` | `get(long timeout, TimeUnit unit)`
`boolean` | `isCancelled()`
`boolean` | `isDone()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CacheSchematicDb.SchematicEntryProxyFuture

    protected CacheSchematicDb.SchematicEntryProxyFuture(org.infinispan.util.concurrent.NotifyingFuture<SchematicEntry> original,
                                                         String key,
                                                         boolean isRemoved)

Method Detail

### attachListener

    public org.infinispan.util.concurrent.NotifyingFuture<SchematicEntry> attachListener(org.infinispan.util.concurrent.FutureListener<SchematicEntry> listener)

  Specified by:
    `attachListener` in interface `org.infinispan.util.concurrent.NotifyingFuture<SchematicEntry>`

### cancel

    public boolean cancel(boolean mayInterruptIfRunning)

  Specified by:
    `cancel` in interface `Future<SchematicEntry>`

### get

    public SchematicEntry get()
                       throws InterruptedException,
                              ExecutionException

  Specified by:
    `get` in interface `Future<SchematicEntry>`
  Throws:
    `InterruptedException`
    `ExecutionException`

### get

    public SchematicEntry get(long timeout,
                              TimeUnit unit)
                       throws InterruptedException,
                              ExecutionException,
                              TimeoutException

  Specified by:
    `get` in interface `Future<SchematicEntry>`
  Throws:
    `InterruptedException`
    `ExecutionException`
    `TimeoutException`

### isCancelled

    public boolean isCancelled()

  Specified by:
    `isCancelled` in interface `Future<SchematicEntry>`

### isDone

    public boolean isDone()

  Specified by:
    `isDone` in interface `Future<SchematicEntry>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.